Bug 460150 - (CVE-2008-3789) CVE-2008-3789 samba: Group mapping information LDB file created with insecure permissions
CVE-2008-3789 samba: Group mapping information LDB file created with insecure...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
reported=20080825,public=20080822,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-26 10:24 EDT by Jan Lieskovsky
Modified: 2009-11-19 10:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 10:02:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-08-26 10:24:02 EDT
Samba starting from version samba-3.2.0-*+ initially creates and after
removal recreates its TBD group mapping file (/var/lib/samba/group_mapping.ldb)
with file access permissions of 0666. This could allow a local unprivileged
system user write to this Samba tool critical file and potentially cause
a denial of service.

References:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496073
http://www.openwall.com/lists/oss-security/2008/08/26/3
Comment 1 Jan Lieskovsky 2008-08-26 10:28:29 EDT
This issue does not affect the versions of the Samba package as shipped with
Red Hat Enterprise Linux 2.1, 3, 4 and 5.

This issue affects only versions of the Samba package as shipped within
the Fedora release, starting from F9.
Comment 3 Fedora Update System 2008-08-27 13:30:31 EDT
samba-3.2.3-0.20.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/samba-3.2.3-0.20.fc9
Comment 4 Fedora Update System 2008-09-05 08:17:46 EDT
samba-3.2.3-0.20.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-09-10 02:55:01 EDT
samba-3.2.3-0.20.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.